import { PgManager } from './PgManager.js';
import { logger } from '@powersync/lib-services-framework';
export class ConnectionManagerFactory {
    constructor(dbConnectionConfig) {
        this.dbConnectionConfig = dbConnectionConfig;
        this.connectionManagers = [];
    }
    create(poolOptions) {
        const manager = new PgManager(this.dbConnectionConfig, poolOptions);
        this.connectionManagers.push(manager);
        return manager;
    }
    async shutdown() {
        logger.info('Shutting down Postgres connection Managers...');
        for (const manager of this.connectionManagers) {
            await manager.end();
        }
        logger.info('Postgres connection Managers shutdown completed.');
    }
}
//# sourceMappingURL=ConnectionManagerFactory.js.map