export function getReplicaIdColumns(relation) {
    if (relation.replicaIdentity == 'nothing') {
        return [];
    }
    else {
        return relation.columns
            .filter((c) => (c.flags & 0b1) != 0)
            .map((c) => ({ name: c.name, typeId: c.typeOid }));
    }
}
export function getRelId(source) {
    // Source types are wrong here
    const relId = source.relationOid;
    if (!relId) {
        throw new Error(`No relation id!`);
    }
    return relId;
}
export function getPgOutputRelation(source) {
    return {
        name: source.name,
        schema: source.schema,
        objectId: getRelId(source),
        replicationColumns: getReplicaIdColumns(source)
    };
}
//# sourceMappingURL=PgRelation.js.map