import { storage, replication } from '@powersync/service-core';
import { WalStreamReplicationJob } from './WalStreamReplicationJob.js';
import { ConnectionManagerFactory } from './ConnectionManagerFactory.js';
export interface WalStreamReplicatorOptions extends replication.AbstractReplicatorOptions {
    connectionFactory: ConnectionManagerFactory;
}
export declare class WalStreamReplicator extends replication.AbstractReplicator<WalStreamReplicationJob> {
    private readonly connectionFactory;
    constructor(options: WalStreamReplicatorOptions);
    createJob(options: replication.CreateJobOptions): WalStreamReplicationJob;
    cleanUp(syncRulesStorage: storage.SyncRulesBucketStorage): Promise<void>;
    stop(): Promise<void>;
}
